Bug 67514 - Channel administrator rights are not sufficient for one.
Summary: Channel administrator rights are not sufficient for one.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels   
(Show other bugs)
Version: RHN Stable
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact: jkomendar
URL:
Whiteboard:
Keywords:
Depends On: 68698
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-26 18:54 UTC by Isaiah Weiner
Modified: 2007-04-18 16:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-17 22:19:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Isaiah Weiner 2002-06-26 18:54:54 UTC
Description of problem:
Channel administrator rights seem to not be sufficient for a channel 
administrator that must use rhn_package_manager to add packages to a channel.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. grant channel admin rights to user
2. with user's auth, use rhn_package_manager to upload package to channel


Actual Results:  User cisco_ecs_autopush is a channel admin, but NOT an 
organization admin.

The cisco_autopush channel has one package in it.

% rhn_package_manager -c cisco-autopush --username=cisco_ecs_autopush --
password=autopush -l

Error Message:
    You are not allowed to perform administrative tasks
Error Class Code: 4
Error Class Info: Permission denied.
Explanation:
     An error has occurred while processing your request. If this
problem
     persists please submit a bug report to rhn-help@redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.


Expected Results:  The package should've been accepted.

Additional info:

The channel admin *can* delete packages from a channel using the web interface.

Comment 1 Josef Komenda 2002-06-26 21:31:12 UTC
You can't actually delete packages, you only disassocate them from the channel.
Still, I would expect a channel admin to be able to load new packages. Confirmed
the behavior on satellite.webdev-colo.redhat.com as well.

Comment 2 Josef Komenda 2002-06-26 21:34:35 UTC
That is, I've confirmed this acts the same way with rhnpush. Over to Misa to
tweak to common library..

Comment 3 Mihai Ibanescu 2002-07-16 13:44:59 UTC
The same issue was fixed for the satellite push tool, I'll make sure the code
goes  live at the same time.

Comment 4 Josef Komenda 2002-07-17 22:19:49 UTC
Fixed in QA, Closing.


Note You need to log in before you can comment on or make changes to this bug.